:root {
    --my-account-content-background: #{$white};
}

.MyAccount {
    background: var(--my-account-content-background);

    &-Wrapper {
        display: grid;
        padding-top: 1rem;
        padding-bottom: 1rem;
        grid-template-rows: auto 1fr;
        grid-template-columns: 30% 70%;
        grid-row-gap: 0;
        grid-column-gap: 2rem;

        @include mobile {
            padding: 0;
            grid-template-columns: 1fr;
        }

        @include tablet {
            grid-column-gap: 1rem;
        }
    }

    &-TabContent {
        padding: 1rem;
        background: var(--my-account-content-background);

        @include after-mobile {
            padding: 1rem 2rem 2rem;
            grid-row: span 2;
        }

        @include tablet {
            padding: 1rem;
        }
    }

    &-Heading {
        padding: 15px 12px;
        margin: 0 0 2rem;
        background: var(--grey-5-color);
        font-size: 16px;
        font-weight: 400;
        text-transform: none;

        @include mobile {
            display: none;
        }
    }

    &-Button,
    button {
        @include mobile {
            width: 100%;
        }
    }

    .ExpandableContent-Content_isContentExpanded {
        @include tablet {
            padding: 0;
        }
    }

    .ExpandableContent-Content {
        @include tablet {
            overflow: visible;
            padding: 0;
            opacity: 1;
        }
    }
}
